# Generated by Django 5.0.6 on 2024-12-10 19:37

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("lot", "0002_alter_lot_closed"),
        ("user", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="LotProperty",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("key", models.CharField(max_length=256)),
                ("value", models.CharField(max_length=256)),
                (
                    "type",
                    models.SmallIntegerField(
                        choices=[
                            (0, "System"),
                            (1, "User"),
                            (2, "Document"),
                            (3, "EraseServer"),
                        ],
                        default=1,
                    ),
                ),
                (
                    "lot",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="lot.lot"
                    ),
                ),
                (
                    "owner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="user.institution",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.DeleteModel(
            name="LotAnnotation",
        ),
        migrations.AddConstraint(
            model_name="lotproperty",
            constraint=models.UniqueConstraint(
                fields=("key", "lot", "type"), name="lot_unique_type_key_lot"
            ),
        ),
    ]
